<?php
/**
 * Created by PhpStorm.
 * User: tuliomagalhaes
 * Date: 21/05/2015
 * Time: 10:50
 */

namespace Service\Calendar\Precursor\Strategy;


use Zeedhi\DevOps\Model\Projectmanagement\Entities\TaskRelationship;
use Service\Calendar\TaskCalendar;

abstract class PrecursorStrategyAbstract implements PrecursorStrategy {
    /**
     * @var TaskRelationship
     */
    protected $taskRelationship;
    /**
     * @var TaskCalendar
     */
    protected $taskCalendar;

    public function __construct($taskRelationship, TaskCalendar $taskCalendar){

        $this->taskRelationship = $taskRelationship;
        $this->taskCalendar = $taskCalendar;
    }

}